import React from 'react';

export const KeyIcon = () => (
  <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path
      d="M9.87547 0.1875C6.59617 0.1875 3.93797 2.8457 3.93797 6.125C3.93797 7.49805 4.40477 8.76172 5.18602 9.76758L4.38328 10.5703L3.16648 9.35352C3.13674 9.32441 3.09677 9.30811 3.05516 9.30811C3.01354 9.30811 2.97357 9.32441 2.94383 9.35352L2.16648 10.1309C2.13738 10.1606 2.12108 10.2006 2.12108 10.2422C2.12108 10.2838 2.13738 10.3238 2.16648 10.3535L3.38328 11.5703L2.50633 12.4473L1.28953 11.2305C1.25978 11.2014 1.21982 11.1851 1.1782 11.1851C1.13658 11.1851 1.09662 11.2014 1.06687 11.2305L0.289531 12.0078C0.260424 12.0376 0.244124 12.0775 0.244124 12.1191C0.244124 12.1608 0.260424 12.2007 0.289531 12.2305L1.50633 13.4473L0.230937 14.7227C0.201859 14.752 0.185547 14.7917 0.185547 14.833C0.185547 14.8743 0.201859 14.914 0.230937 14.9434L1.05711 15.7695C1.11766 15.8301 1.21727 15.8301 1.27781 15.7695L6.23094 10.8164C7.27361 11.6251 8.55592 12.0636 9.87547 12.0625C13.1548 12.0625 15.813 9.4043 15.813 6.125C15.813 2.8457 13.1548 0.1875 9.87547 0.1875ZM13.0239 9.27344C12.1841 10.1152 11.0649 10.5781 9.87547 10.5781C8.68602 10.5781 7.56687 10.1152 6.72703 9.27344C5.88523 8.43359 5.42234 7.31445 5.42234 6.125C5.42234 4.93555 5.88523 3.81641 6.72703 2.97656C7.56687 2.13477 8.68602 1.67188 9.87547 1.67188C11.0649 1.67188 12.1841 2.13477 13.0239 2.97656C13.8657 3.81641 14.3286 4.93555 14.3286 6.125C14.3286 7.31445 13.8657 8.43359 13.0239 9.27344Z"
      fill="currentColor"
    />
  </svg>
);
